Package org.apache.sling.api.wrappers

# Class JakartaToJavaxFilterWrapper.FilterChainWrapper

java.lang.Object
org.apache.sling.api.wrappers.JakartaToJavaxFilterWrapper.FilterChainWrapper

All Implemented Interfaces:
  `jakarta.servlet.FilterChain`

Enclosing class:
  JakartaToJavaxFilterWrapper

public static class JakartaToJavaxFilterWrapper.FilterChainWrapper extends Object implements jakarta.servlet.FilterChain

## Constructor Summary

Constructors
Constructor
Description
`FilterChainWrapper(@NotNull javax.servlet.FilterChain chain)`

## Method Summary

Modifier and Type
Method
Description
`void`
`doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterChainWrapper

public FilterChainWrapper(@NotNull @NotNull javax.servlet.FilterChain chain)

## Method Details

### doFilter

public void doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response) throws IOException, jakarta.servlet.ServletException

Specified by:
  `doFilter` in interface `jakarta.servlet.FilterChain`
Throws:
  `IOException`
  `jakarta.servlet.ServletException`